from fastapi import FastAPI
from .routes.cart_routes import router as cart_router
from .routes.user_routes import router as user_router
from .routes.shop_routes import router as shop_router


app = FastAPI(
    title="SWAG Shop",
    version="0.0.1"
)

app.include_router(user_router)
app.include_router(cart_router)
app.include_router(shop_router)


@app.get("/")
async def root():
    return {"message": "Hello World"}
